package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 附件表对象 m_apply_file
 * 
 * @author zewei
 * @date 2022-05-30
 */
public class ApplyFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 附件id */
    private String fileId;

    /** 申请表id */
    @Excel(name = "申请表id")
    private String applyId;

    /** 文件后缀/类型 */
    @Excel(name = "文件后缀/类型")
    private String suffix;

    /** 访问路径 */
    @Excel(name = "访问路径")
    private String path;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    public void setFileId(String fileId) 
    {
        this.fileId = fileId;
    }

    public String getFileId() 
    {
        return fileId;
    }
    public void setApplyId(String applyId) 
    {
        this.applyId = applyId;
    }

    public String getApplyId() 
    {
        return applyId;
    }
    public void setSuffix(String suffix) 
    {
        this.suffix = suffix;
    }

    public String getSuffix() 
    {
        return suffix;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fileId", getFileId())
            .append("applyId", getApplyId())
            .append("suffix", getSuffix())
            .append("path", getPath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
